using DoomDeathmatch.Component.MVC;
using DoomDeathmatch.Script.Model.Weapon;

namespace DoomDeathmatch.Script.Consumable;

public class WeaponConsumable(WeaponData parWeaponData) : IConsumable
{
  public string Icon => parWeaponData.IdleTexture;

  public void Consume(PlayerController parPlayerController)
  {
    parPlayerController.WeaponController.AddOrMergeWeapon(parWeaponData);
  }
}